net.corda.core.transactions

## Class FilteredTransaction

- net.corda.core.transactions.FilteredTransaction

-     public class FilteredTransaction

  Class representing merkleized filtered transaction.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FilteredTransaction.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FilteredTransaction.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilteredLeaves` | `getFilteredLeaves()`
    `PartialMerkleTree` | `getPartialMerkleTree()`
    `SecureHash` | `getRootHash()`
    `boolean` | `verify()` Runs verification of Partial Merkle Branch against rootHash.

- - ### Field Detail

    - #### Companion

          public static FilteredTransaction.Companion Companion

  - ### Method Detail

    - #### verify

          public boolean verify()

      Runs verification of Partial Merkle Branch against rootHash.

    - #### getRootHash

          public SecureHash getRootHash()

    - #### getFilteredLeaves

          public FilteredLeaves getFilteredLeaves()

    - #### getPartialMerkleTree

          public PartialMerkleTree getPartialMerkleTree()